{% load static %}
<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">

    <meta http-equiv="X-UA-Compatible" content="ie=edge">

    <title> {% block title %} Kwizzer.io {% endblock %}</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet">
    <link rel="stylesheet" href="{% static 'css/custom.css' %}">
    <link rel="icon" href="{% static 'img/favicon.ico' %}">
    {% block extra_head %}
    {% endblock %}
</head>

<body>

<nav class="navbar navbar-expand-lg navbar-dark bg-dark">
    <div class="container-fluid">
        <a class="navbar-brand" href="{% url 'home' %}">
            <img src="{% static 'img/logo.png' %}" width="200px" alt="logo"></a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent"
                aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <h6 class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                <li class="nav-item">
                    <a class="nav-link active" aria-current="page" href="{% url 'home' %}">Home</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="#">Top Kwizzers</a>
                </li>
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" href={% url 'quiz_list' %} id="navbarDropdown" role="button"
                       data-bs-toggle="dropdown" aria-expanded="false">
                        Quizes
                    </a>
                    <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
                        <li><a class="dropdown-item" href="#">Science</a></li>
                        <li><a class="dropdown-item" href="#">Trivia</a></li>
                        <li>
                            <hr class="dropdown-divider">
                        </li>
                        <li><a class="dropdown-item" href="{% url 'quiz_list' %}">All Quizzes</a></li>
                    </ul>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{% url 'about' %}">About</a>
                </li>
            </ul>
            <form class="d-flex">
                {% if  user.is_authenticated %}
                    <span class="badge rounded-pill bg-warning text-dark mx-4">Welcome, {{ user.get_username }}. Thanks for logging in.</span>
                    </form>


                    <a href="{% url 'logout' %}" class="btn btn-sm btn-outline-danger ">Log out</a>

                {% else %}
                    <a href="{% url 'create-user' %}" class="btn btn-sm btn-outline-light mx-2">Sign up</a>
                    <a href="{% url 'login' %}" class="btn btn-sm btn-outline-success ">Log in</a>
                {% endif %}
            </form>
        </div>
    </div>
</nav>
<div id="main-container" class="container-fluid">
    {% block content %}
    {% endblock %}
</div>
</div>
</body>


{#<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" ></script>#}
<script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.10.2/dist/umd/popper.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.min.js"></script>
</html>